<nav
  class="navbar navbar-expand navbar-dark bg-primary"
  aria-label="Second navbar example"
>
  <div class="container">
    <a class="navbar-brand" routerLink="/">Dating App</a>

    <ul class="navbar-nav me-auto" *ngIf="loggedIn">
      <li class="nav-item">
        <a
          class="nav-link"
          aria-current="page"
          routerLink="/members"
          routerLinkActive="active"
          >Matches</a
        >
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/lists" routerLinkActive="active"
          >Lists</a
        >
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/messages" routerLinkActive="active"
          >Messages</a
        >
      </li>
    </ul>
    <div class="dropdown" *ngIf="loggedIn" dropdown>
      <img
        class="img"
        src="{{ user.photoUrl || './assets/user.png' }}"
        alt="{{ user.username }}"
      />
      <a class="dropdown-toggle text-light" dropdownToggle
        >Welcome {{ user.username | titlecase }}</a
      >
      <div class="dropdown-menu mt-3" *dropdownMenu>
        <a routerLink="/member/edit" class="dropdown-item">Edit Profile</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" (click)="logout()">Logout</a>
      </div>
    </div>

    <form
      *ngIf="!loggedIn"
      #loginForm="ngForm"
      class="d-flex mt-2 gap-2"
      (ngSubmit)="login()"
      autocomplete="off"
    >
      <input
        class="form-control"
        name="username"
        [(ngModel)]="model.username"
        type="text"
        placeholder="Username"
      />
      <input
        class="form-control"
        type="password"
        name="password"
        [(ngModel)]="model.password"
        placeholder="Password"
      />
      <button class="btn btn-success my-2 my-sm-0" type="submit">Login</button>
    </form>
  </div>
</nav>
